Printable version

Drivers & software

HP Lights-Out Online Configuration Utility for Linux (AMD64/EM64T)

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Software - Lights-Out Management
Version: 4.6.0-0(14 Aug 2015)
Operating System(s): Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 10 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 12
File name: hponcfg-4.6.0-0.x86_64.rpm (43 KB)
HP Lights-Out Online Configuration utility is a command line utility used to configure ProLiant Integrated Lights-Out processor (iLO) from within the Linux operating system without requiring a reboot of the server.

Prerequisites:
This utility requires the following minimum firmware revisions: 

  • Integrated Lights-Out 2 firmware v1.00 or later
  • Integrated Lights-Out 3 firmware v1.00 or later
  • Integrated Lights-Out 4 firmware v1.00 or later

The management interface driver and management agents must be installed on the server.


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

9867452e6e1bcbf9ed4f9bc4e7c48d552d7e77348ae026712685c2ef58f76555 hponcfg-4.6.0-0.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:
Login as the system administrator (root), download the RPM to a directory on your hard drive and change to that directory.

If a previous version of the Hponcfg utility has been installed, it must be removed before this package can be installed. To remove the previous version of the package, type the following :

    rpm -e hponcfg
To install the package, type:
    rpm -ivh hponcfg-< version >.noarch.rpm
After installation, the executable for hponcfg utility can be found under the directory /sbin.

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


HPONCFG displays an appropriate error message with -w option when LOCK_CONFIGURATION is enabled.

Version:5.4.0-0 (12 Oct 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed an issue where HPONCFG was not able to detect openssl library when both 32-bit and 64-bit openssl are installed.


Version:5.3.0-0(A) (27 Sep 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Introduced support for iLO 5 v1.35.


Version:5.3.0-0 (26 Jun 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Introduced support for iLO 5 v1.30.


Version:5.2.0-0 (5 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Fixed issue where IML and IEL logs were not cleared after doing iLO factory default.

Enhancements

Introduced support for iLO 5 v1.20.


Version:5.1.0-0 (25 Sep 2017)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Introduced support for iLO 5 v1.15.


Version:5.0.0-0 (12 Jul 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Introduced support for iLO 5.
  • High security state support enabled in HPONCFG when iLO is set to any Security State.
  • Use -u and -p command line arguments when iLO is in HIGH/FIPS/SUITE-B Security States.

Note: Command line user name and password override those which are in the script file.


Version:4.6.0-0 (14 Aug 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


HPONCFG displays an appropriate error message with -w option when LOCK_CONFIGURATION is enabled.


Version:4.5.0-0 (15 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • HPONCFG RPM is now signed by HP.
  • New command line argument –b or --reboot introduced in HPONCFG to reboot iLO without changing any configuration.

Version:4.4.0-0 (30 Mar 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


- Support for iLO4 firmware version 1.5 and later


Version:4.3.1-0 (11 Jul 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


With iLO 4 firmware v1.5 (or later), HPONCFG v4.3.0 (or earlier) for Linux fails every time while retrieving iLO Event Logs using the script "Get_iLO_Log.xml" and reports "segmentation fault" error.
This has been fixed in HPONCFG v4.3.1 for Linux.

Enhancements

None


Version:4.3.0-0 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


 This version adds support for the following features and enhancements:

- iLO Federation Management


Version:4.2.0-0 (10 Sep 2013)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


  • DHCPV6 Enhancement and IPv6 support for iLO 4 FW v1.30 and iLO 3 FW v1.60

Type: Software - Lights-Out Management
Version: 4.6.0-0(14 Aug 2015)
Operating System(s):
Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 10 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 12

Description

HP Lights-Out Online Configuration utility is a command line utility used to configure ProLiant Integrated Lights-Out processor (iLO) from within the Linux operating system without requiring a reboot of the server.

Installation Instructions

Prerequisites:
This utility requires the following minimum firmware revisions: 

  • Integrated Lights-Out 2 firmware v1.00 or later
  • Integrated Lights-Out 3 firmware v1.00 or later
  • Integrated Lights-Out 4 firmware v1.00 or later

The management interface driver and management agents must be installed on the server.


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

9867452e6e1bcbf9ed4f9bc4e7c48d552d7e77348ae026712685c2ef58f76555 hponcfg-4.6.0-0.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:
Login as the system administrator (root), download the RPM to a directory on your hard drive and change to that directory.

If a previous version of the Hponcfg utility has been installed, it must be removed before this package can be installed. To remove the previous version of the package, type the following :

    rpm -e hponcfg
To install the package, type:
    rpm -ivh hponcfg-< version >.noarch.rpm
After installation, the executable for hponcfg utility can be found under the directory /sbin.

Release Notes

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


HPONCFG displays an appropriate error message with -w option when LOCK_CONFIGURATION is enabled.

Revision History

Version:5.4.0-0 (12 Oct 2018)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed an issue where HPONCFG was not able to detect openssl library when both 32-bit and 64-bit openssl are installed.


Version:5.3.0-0(A) (27 Sep 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Introduced support for iLO 5 v1.35.


Version:5.3.0-0 (26 Jun 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Introduced support for iLO 5 v1.30.


Version:5.2.0-0 (5 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Fixed issue where IML and IEL logs were not cleared after doing iLO factory default.

Enhancements

Introduced support for iLO 5 v1.20.


Version:5.1.0-0 (25 Sep 2017)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Introduced support for iLO 5 v1.15.


Version:5.0.0-0 (12 Jul 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Introduced support for iLO 5.
  • High security state support enabled in HPONCFG when iLO is set to any Security State.
  • Use -u and -p command line arguments when iLO is in HIGH/FIPS/SUITE-B Security States.

Note: Command line user name and password override those which are in the script file.


Version:4.6.0-0 (14 Aug 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


HPONCFG displays an appropriate error message with -w option when LOCK_CONFIGURATION is enabled.


Version:4.5.0-0 (15 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • HPONCFG RPM is now signed by HP.
  • New command line argument –b or --reboot introduced in HPONCFG to reboot iLO without changing any configuration.

Version:4.4.0-0 (30 Mar 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


- Support for iLO4 firmware version 1.5 and later


Version:4.3.1-0 (11 Jul 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


With iLO 4 firmware v1.5 (or later), HPONCFG v4.3.0 (or earlier) for Linux fails every time while retrieving iLO Event Logs using the script "Get_iLO_Log.xml" and reports "segmentation fault" error.
This has been fixed in HPONCFG v4.3.1 for Linux.

Enhancements

None


Version:4.3.0-0 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


 This version adds support for the following features and enhancements:

- iLO Federation Management


Version:4.2.0-0 (10 Sep 2013)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


  • DHCPV6 Enhancement and IPv6 support for iLO 4 FW v1.30 and iLO 3 FW v1.60

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.